shishi_authenticator_get_subkey(3)

NAME
shishi_authenticator_get_subkey - API function

SYNOPSIS
#include <shishi.h>

int shishi_authenticator_get_subkey(Shishi * handle, Shishi_asn1 authenticator, Shishi_key ** subkey);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

Shishi_asn1 authenticator
    authenticator as allocated by shishi_authenticator().

Shishi_key ** subkey
    output newly allocated subkey from authenticator.

DESCRIPTION
Read subkey value from authenticator.

RETURN VALUE
Returns SHISHI_OK if successful or SHISHI_ASN1_NO_ELEMENT if subkey is not present.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.